# Enum TapResultReader.DeleteMode

java.lang.Object
java.lang.Enum<TapResultReader.DeleteMode>
uk.ac.starlink.ttools.task.TapResultReader.DeleteMode

All Implemented Interfaces:
  `Serializable, Comparable<TapResultReader.DeleteMode>, java.lang.constant.Constable`

Enclosing class:
  `TapResultReader`

public static enum TapResultReader.DeleteMode extends Enum<TapResultReader.DeleteMode>
Enumeration of UWS job deletion modes.

Since:
  23 Feb 2011
Author:
  Mark Taylor

## Nested Class Summary

### Nested classes/interfaces inherited from class Enum

`Enum.EnumDesc<E>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`always`
`finished`
`never`
`now`

## Method Summary

Modifier and Type
Method
Description
`static TapResultReader.DeleteMode`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TapResultReader.DeleteMode[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### finished

public static final TapResultReader.DeleteMode finished

### never

public static final TapResultReader.DeleteMode never

### always

public static final TapResultReader.DeleteMode always

### now

public static final TapResultReader.DeleteMode now

## Method Details

### values

public static TapResultReader.DeleteMode[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TapResultReader.DeleteMode valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null